<app-loading *ngIf="isLoading"></app-loading>
<div class="step-init">
  <nz-steps [nzCurrent]="steper" nzSize="small">
    <nz-step nzTitle="{{ 'modelOrganization.label.createOrg' | translate }}" ></nz-step>
    <nz-step nzTitle="{{ 'modelOrganization.label.reviewApprove' | translate }}"></nz-step>
  </nz-steps>
</div>

<div class="content">
  <mat-horizontal-stepper #stepper *ngIf="!viewDetail; else elseTpl">
    <mat-step #one [stepControl]="createOrganization" label="{{ 'modelOrganization.label.createOrg' | translate }}">
      <div class="container">
        <app-create-organization
          [createOrganization]="createOrganization"
          [areas]="areas"
          [types]="types"
          [listLegalBranch]="listLegalBranch"
          [listData]="listData"
          [listView]="listView"
          [validateObject]="validateObject"
          [file]="file"
          [isSubmit]="isSubmit"
          [fileName]="fileName"
          [allFruits]="allFruits"
          [dataDetail]="dataDetail"
        ></app-create-organization>
      </div>
      <div class="navigte-stepper">
        <mb-button
          mbButtonType="NO_BORDER"
          mbButtonSize="VERY_LARGE"
          mbSuffixIcon="arrow-right"
          (click)="filterValue(stepper)"
          mbButtonAvailableStyle="PRIMARY"
          mbButtonText="{{ 'modelOrganization.button.continute' | translate }}"
        >
        </mb-button>
      </div>
    </mat-step>

    <mat-step #two [stepControl]="review" label="{{ 'modelOrganization.label.reviewApprove' | translate }}">
      <div class="container">
        <app-review
          *ngIf="change"
          [createOrganization]="createOrganization"
          [areas]="areas"
          [types]="types"
          [listData]="listView"
          class="scroll-page"
          [listLegalBranch]="listLegalBranch"
          [file]="file"
          [nameSelectedLegalBranch]="nameSelectedLegalBranch"
        >
        </app-review>
      </div>
      <div class="navigte-stepper">
        <mb-button
          [mbIsDisable]="isLoading"
          mbButtonType="BORDER"
          mbButtonSize="VERY_LARGE"
          mbPrefixIcon="arrow-left"
          (click)="backPrevious(stepper)"
          mbButtonAvailableStyle='BORDER'
          mbButtonText="{{'modelOrganization.correctionOrganization.button.back' | translate}}"
          matStepperNext
        >
        </mb-button>
          <mb-button
          *ngIf="objFunction.create"
          [mbIsDisable]="isLoading"
          mbButtonType="NO_BORDER"
          mbButtonSize="VERY_LARGE"
          mbSuffixIcon="arrow-right"
          (click)="submit()"
          mbButtonAvailableStyle="PRIMARY"
          mbButtonText="{{'modelOrganization.correctionOrganization.button.browse' | translate}}"
          matStepperNext
        >
        </mb-button>
      </div>
    </mat-step>
    <ng-template matStepperIcon="edit" let-index="index">
      {{ index + 1 }}
    </ng-template>
    <ng-template matStepperIcon="done">
      <em nz-icon nzType="check-circle" nzTheme="outline" class="icon-stepper"></em>
    </ng-template>
  </mat-horizontal-stepper>
  <ng-template #elseTpl>
    <div class="container">
      <app-review
        [createOrganization]="createOrganization"
        [areas]="areas"
        [types]="types"
        [listData]="listView"
        class="scroll-page"
        [listLegalBranch]="listLegalBranch"
        [file]="file"
        [nameSelectedLegalBranch]="nameSelectedLegalBranch"
      ></app-review>
    </div>
  </ng-template>
</div>
